#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1388401742.094227
__CHEETAH_genTimestamp__ = 'Mon Dec 30 11:09:02 2013'
__CHEETAH_src__ = 'base.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Dec 27 04:40:08 2013'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class base(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(base, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def default(self, text, default, **KWS):



        ## CHEETAH: generated from #def default($text, $default) at line 1, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"text",True): # generated from line 2, col 1
            write(u'''   ''')
            _v = VFFSL(SL,"text",True) # u'$text' on line 3, col 4
            if _v is not None: write(_filter(_v, rawExpr=u'$text')) # from line 3, col 4.
            write(u'''
''')
        else: # generated from line 4, col 1
            write(u'''   ''')
            _v = VFFSL(SL,"default",True) # u'$default' on line 5, col 4
            if _v is not None: write(_filter(_v, rawExpr=u'$default')) # from line 5, col 4.
            write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def add_nav_and_login(self, **KWS):



        ## CHEETAH: generated from #block add_nav_and_login at line 119, col 4.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def title_block(self, **KWS):



        ## CHEETAH: generated from #block title_block at line 150, col 3.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''\t\t''')
        _v = VFFSL(SL,"title",True) # u'$title' on line 151, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 151, col 3.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main_block(self, **KWS):



        ## CHEETAH: generated from #block main_block at line 154, col 3.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''\t\t''')
        _v = VFFSL(SL,"main",True) # u'$main' on line 155, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$main')) # from line 155, col 3.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def footer_block(self, **KWS):



        ## CHEETAH: generated from #block footer_block at line 164, col 12.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
\t\t<p>
\t\tPlinth is &copy; Copyright 2012 <a href="http://hackervisions.org" target="_blank">James Vasile</a>.  It is
\t\tfree software offered to you under the terms of
\t\tthe <a href="http://www.gnu.org/licenses/agpl.html" target="_blank">GNU Affero General Public
\t\tLicense</a>, Version 3 or later.  This Plinth theme was built by <a href="http://seandiggity.com" target="_blank">Sean &quot;Diggity&quot; O&apos;Brien</a>.
\t\t</p>
\t\t<p>Current page: ''')
        _v = VFFSL(SL,"current_url",True) # u'$current_url' on line 171, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$current_url')) # from line 171, col 20.
        write(u'''</p>
\t\t<p>

\t\t</p>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<!doctype html>
<!--[if lt IE 7 ]> <html class="ie ie6 no-js" lang="en"> <![endif]-->
<!--[if IE 7 ]>    <html class="ie ie7 no-js" lang="en"> <![endif]-->
<!--[if IE 8 ]>    <html class="ie ie8 no-js" lang="en"> <![endif]-->
<!--[if IE 9 ]>    <html class="ie ie9 no-js" lang="en"> <![endif]-->
<!--[if gt IE 9]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<!-- the "no-js" class is for Modernizr -->
<head>
\t<meta charset="utf-8" />

\t<!-- Always force latest IE rendering engine and Chrome Frame -->
\t<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

\t<!--  Mobile Viewport Fix http://j.mp/mobileviewport & http://davidbcalhoun.com/2010/viewport-metatag
\tdevice-width : Occupy full width of the screen in its current orientation
\tinitial-scale = 1.0 retains dimensions instead of zooming out if page height > device height
\tmaximum-scale = 1.0 retains dimensions instead of zooming in if page width < device width
\t-->
\t<meta name="viewport" content="width=device-width, initial-scale=1.0" />

\t<!-- R2D2, you know better than to trust a strange computer! -->
\t<meta name="robots" content="noindex, nofollow, noarchive" />
\t<meta name="googlebot" content="noindex, nofollow, noarchive, nosnippet, noodp, noimageindex, notranslate" />
\t<meta name="msnbot" content="noindex, nofollow, noarchive, noodp" />
\t<meta name="slurp" content="noindex, nofollow, noarchive, noodp, noydir" />

\t<meta name="title" content="''')
        _v = VFFSL(SL,"default",False)(VFFSL(SL,"title",True), 'FreedomBox Dashboard') # u"$default($title, 'FreedomBox Dashboard')" on line 34, col 30
        if _v is not None: write(_filter(_v, rawExpr=u"$default($title, 'FreedomBox Dashboard')")) # from line 34, col 30.
        write(u'''" />
\t<meta name="description" content="Plinth administrative interface for the FreedomBox" />
\t<title>''')
        _v = VFFSL(SL,"default",False)(VFFSL(SL,"title",True), "FreedomBox Dashboard") # u'$default($title, "FreedomBox Dashboard")' on line 36, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$default($title, "FreedomBox Dashboard")')) # from line 36, col 9.
        write(u'''</title>

\t<!-- This is the traditional favicon. Size: 16x16 or 32x32, transparency is OK -->
\t<link rel="shortcut icon" href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 39, col 34
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 39, col 34.
        write(u'''/static/theme/img/favicon.ico" />

\t<!-- The is the icon for iOS\'s Web Clip. Size: 57x57 for older iPhones, 72x72 for iPads, 114x114 for iPhone4
\t- To prevent iOS from applying its styles to the icon name it thusly: apple-touch-icon-precomposed.png
\t- Transparency is not recommended (iOS will put a black BG behind the icon) -->
\t<link rel="apple-touch-icon" sizes="57x57" href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 44, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 44, col 51.
        write(u'''/static/theme/img/apple-touch-icon-57px-precomposed.png" />
\t<link rel="apple-touch-icon" sizes="72x72" href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 45, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 45, col 51.
        write(u'''/static/theme/img/apple-touch-icon-72px-precomposed.png" />
\t<link rel="apple-touch-icon" sizes="114x114" href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 46, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 46, col 53.
        write(u'''/static/theme/img/apple-touch-icon-114px-precomposed.png" />

\t<!-- Bootstrap base CSS -->
\t<link rel="stylesheet" href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 49, col 31
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 49, col 31.
        write(u'''/static/theme/css/bootstrap.css" />
\t<style type="text/css">
\t/* custom styles, load before bootstrap responsive styles */
\tbody {
        padding-top:60px;
        padding-bottom:40px;
      \t}
\t.sidebar-nav {
\tpadding: 9px 0;
\t}
\t</style>
\t<!-- Bootstrap responsive CSS -->
\t<link rel="stylesheet" href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 61, col 31
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 61, col 31.
        write(u'''/static/theme/css/bootstrap-responsive.css" />
\t<style type="text/css">
\t/* custom styles, load after all bootstrap styles */
\t.super-hero {
\tmargin-top:25px;
\t}
\t.logo-top {
\tfloat:left;
\tpadding-right:5px;
\t}
\t.brand {
\tpadding-top:8px;
\t}
\t.white {
\tcolor:#fff;
\t}
\t.error-large {
\tfont-size:1.2em;
\tpadding:10px;
\t}
\t.main-graphic {
\tfloat:right;
\tpadding:25px;
\t}
\t.nav-icon {
\tmargin-right:8px;
\t}
\t.sidenav-icon {
\tmargin-right:8px;
\tpadding-right:5px;
\t}
\t</style>
\t<!-- CSS from previous Plinth template, not sure what to keep yet -->
\t''')
        _v = VFFSL(SL,"css",True) # u'$css' on line 94, col 2
        if _v is not None: write(_filter(_v, rawExpr=u'$css')) # from line 94, col 2.
        write(u'''
\t<!-- End Plinth CSS -->
\t<!-- JS from previous Plinth template, not sure what to keep yet -->
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 97, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 97, col 38.
        write(u'''/static/theme/js/menu.js"></script>
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 98, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 98, col 38.
        write(u'''/static/theme/js/plinth.js"></script>
\t''')
        _v = VFFSL(SL,"js",True) # u'$js' on line 99, col 2
        if _v is not None: write(_filter(_v, rawExpr=u'$js')) # from line 99, col 2.
        write(u'''
\t''')
        _v = VFFSL(SL,"main_menu_js",True) # u'$main_menu_js' on line 100, col 2
        if _v is not None: write(_filter(_v, rawExpr=u'$main_menu_js')) # from line 100, col 2.
        write(u'''
\t''')
        _v = VFFSL(SL,"sub_menu_js",True) # u'$sub_menu_js' on line 101, col 2
        if _v is not None: write(_filter(_v, rawExpr=u'$sub_menu_js')) # from line 101, col 2.
        write(u'''
\t<script type="text/javascript">
\t  <!--
\t    ''')
        _v = VFFSL(SL,"onload",True) # u'$onload' on line 104, col 6
        if _v is not None: write(_filter(_v, rawExpr=u'$onload')) # from line 104, col 6.
        write(u'''
\t  // -->
\t</script>
</head>
<body onload="javascript:onload_handler();">
<!--[if lt IE 7]><p class=chromeframe>Your browser is <em>ancient!</em> <a href="http://mozilla.org/firefox">Upgrade to a modern version of Firefox</a> to experience this site.</p><![endif]-->
    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container-fluid">
          <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 118, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 118, col 20.
        write(u'''/" class="logo-top"><img src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 118, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 118, col 59.
        write(u'''/static/theme/img/freedombox-logo-32px.png" alt="FreedomBox" /></a><a class="brand" href="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 118, col 158
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 118, col 158.
        write(u'''/">FreedomBox Dashboard</a>
''')
        self.add_nav_and_login(trans=trans)
        write(u'''          </div><!--/.nav-collapse -->
        </div>
      </div>
    </div>

    <div class="container-fluid">
      <div class="row-fluid">
''')
        if VFFSL(SL,"nav",True) or VFFSL(SL,"sidebar_right",True) or VFFSL(SL,"sidebar_left",True): # generated from line 128, col 9
            write(u'''        <div class="span3">
''')
            if VFFSL(SL,"nav",True): # generated from line 130, col 9
                write(u'''          <div class="well sidebar-nav">
\t\t''')
                _v = VFFSL(SL,"nav",True) # u'$nav' on line 132, col 3
                if _v is not None: write(_filter(_v, rawExpr=u'$nav')) # from line 132, col 3.
                write(u'''
          </div><!--/.well -->
''')
            if VFFSL(SL,"sidebar_left",True): # generated from line 135, col 9
                write(u'''          <div class="well sidebar-nav">
\t\tleft ''')
                _v = VFFSL(SL,"sidebar_left",True) # u'$sidebar_left' on line 137, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$sidebar_left')) # from line 137, col 8.
                write(u'''
          </div><!--/.well -->
''')
            if VFFSL(SL,"sidebar_right",True): # generated from line 140, col 9
                write(u'''          <div class="well sidebar-nav">
\t\t''')
                _v = VFFSL(SL,"sidebar_right",True) # u'$sidebar_right' on line 142, col 3
                if _v is not None: write(_filter(_v, rawExpr=u'$sidebar_right')) # from line 142, col 3.
                write(u'''
          </div><!--/.well -->
''')
            write(u'''        </div>
''')
        write(u'''        <div class="span9">
          <div class="hero-unit" class="pull-left">
  \t\t<h2>
''')
        self.title_block(trans=trans)
        write(u'''\t\t</h2>
''')
        self.main_block(trans=trans)
        write(u'''          </div>
        </div><!--/span-->
      </div><!--/row-->

      <hr>

      <footer>
        <p>''')
        self.footer_block(trans=trans)
        write(u'''      </footer>

    </div><!--/.fluid-container-->

<!-- JavaScript <script> tags are placed at the end of the document to speed up initial page loads-->
\t<!-- Local link to system Modernizr (includes HTML5 Shiv) -->
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 182, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 182, col 38.
        write(u'''/static/theme/js/libs/modernizr.min.js"></script>
\t<!-- Local link to system jQuery -->
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 184, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 184, col 38.
        write(u'''/static/theme/js/libs/jquery.min.js"></script>
\t<!-- Bootstrap JS, most files commented out until we know what we need -->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 186, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 186, col 42.
        write(u'''/static/theme/js/libs/bootstrap/bootstrap.js"></script>-->
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 187, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 187, col 38.
        write(u'''/static/theme/js/libs/bootstrap/bootstrap.min.js"></script>
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 188, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 188, col 38.
        write(u'''/static/theme/js/libs/bootstrap/button.js"></script>
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 189, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 189, col 38.
        write(u'''/static/theme/js/libs/bootstrap/dropdown.js"></script>
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 190, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 190, col 38.
        write(u'''/static/theme/js/libs/bootstrap/collapse.js"></script>
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 191, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 191, col 42.
        write(u'''/static/theme/js/libs/bootstrap/transition.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 192, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 192, col 42.
        write(u'''/static/theme/js/libs/bootstrap/alert.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 193, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 193, col 42.
        write(u'''/static/theme/js/libs/bootstrap/modal.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 194, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 194, col 42.
        write(u'''/static/theme/js/libs/bootstrap/scrollspy.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 195, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 195, col 42.
        write(u'''/static/theme/js/libs/bootstrap/tab.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 196, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 196, col 42.
        write(u'''/static/theme/js/libs/bootstrap/tooltip.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 197, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 197, col 42.
        write(u'''/static/theme/js/libs/bootstrap/popover.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 198, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 198, col 42.
        write(u'''/static/theme/js/libs/bootstrap/carousel.js"></script>-->
\t<!--<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 199, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 199, col 42.
        write(u'''/static/theme/js/libs/bootstrap/typeahead.js"></script>-->
\t<!-- JS plugins -->
\t<script type="text/javascript" src="''')
        _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 201, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 201, col 38.
        write(u'''/static/theme/js/plugins.js"></script>
</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_base= 'respond'

## END CLASS DEFINITION

if not hasattr(base, '_initCheetahAttributes'):
    templateAPIClass = getattr(base, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(base)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=base()).run()


