#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from templates.base import base

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1388401742.239478
__CHEETAH_genTimestamp__ = 'Mon Dec 30 11:09:02 2013'
__CHEETAH_src__ = 'login_nav.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Dec 27 04:40:08 2013'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class login_nav(base):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(login_nav, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def add_nav_and_login(self, **KWS):



        ## CHEETAH: generated from #def add_nav_and_login at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''          <div class="nav-collapse">
\t\t<script type="text/javascript"> 
\t\t<!--
\t\t   main_menu(main_menu_items); 
\t\t// --> 
\t\t</script>
''')
        if VFFSL(SL,"username",True): # generated from line 10, col 13
            write(u'''            <p class="navbar-text pull-right"><i class="icon-user icon-white nav-icon"></i>Logged in as <a href="''')
            _v = VFFSL(SL,"username",True) # u'$username' on line 11, col 114
            if _v is not None: write(_filter(_v, rawExpr=u'$username')) # from line 11, col 114.
            write(u'''">''')
            _v = VFFSL(SL,"username",True) # u'$username' on line 11, col 125
            if _v is not None: write(_filter(_v, rawExpr=u'$username')) # from line 11, col 125.
            write(u'''</a>. <a href="''')
            _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 11, col 149
            if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 11, col 149.
            write(u'''/auth/logout" title="Log out">Log out</a>.</p>
''')
        else: # generated from line 12, col 13
            write(u'''            <p class="navbar-text pull-right">Not logged in. <i class="icon-user icon-white nav-icon"></i><a href="''')
            _v = VFFSL(SL,"basehref",True) # u'$basehref' on line 13, col 116
            if _v is not None: write(_filter(_v, rawExpr=u'$basehref')) # from line 13, col 116.
            write(u'''/auth/login" title="Log in">Log in</a>.</p>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def sidebar_left_block(self, **KWS):



        ## CHEETAH: generated from #def sidebar_left_block at line 17, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _v = VFFSL(SL,"sidebar_left",True) # u'$sidebar_left' on line 18, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$sidebar_left')) # from line 18, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main_block(self, **KWS):



        ## CHEETAH: generated from #def main_block at line 21, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _v = VFFSL(SL,"main",True) # u'$main' on line 22, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$main')) # from line 22, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def sidebar_right_block(self, **KWS):



        ## CHEETAH: generated from #def sidebar_right_block at line 25, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _v = VFFSL(SL,"sidebar_right",True) # u'$sidebar_right' on line 26, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$sidebar_right')) # from line 26, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def nav_block(self, **KWS):



        ## CHEETAH: generated from #def nav_block at line 29, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _v = VFFSL(SL,"nav",True) # u'$nav' on line 30, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$nav')) # from line 30, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_login_nav= 'writeBody'

## END CLASS DEFINITION

if not hasattr(login_nav, '_initCheetahAttributes'):
    templateAPIClass = getattr(login_nav, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(login_nav)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=login_nav()).run()


